pigui
------

This directory hosts a simple GUI app for debugging/development of the firmware.

Installation
--------------

    python3 -m venv .env
    source .env/bin/activate
    pip install -r requirements.txt


Running the GUI
-------------------

__Connected via USB/serial port__

    source .env/bin/activate
    python main.py /dev/ttyACM0

__Connected via TCP/network__

If an ESP01 wifi module with serial gateway is used, use tcp:<IP address>:port as connection string:

    source .env/bin/activate
    python main.py tcp:192.168.0.5:5000

# Running signal temperature stability test

A script has been written to test the stability of signal statistics w.r.t to time/temperature.

`python stability_acq.py /dev/ttyACM0 > data.csv`

The output in `data.csv` contains timestamp, MCU temperature and signal statistics (mean_amp, integral etc)