from PyQt6 import QtWidgets
import sys
import mainwindow

import logging
logging.TRACE = 9
logging.basicConfig(level=logging.DEBUG, format="%(asctime)s %(levelname)s: %(message)s")

# kill on Ctrl-C (useful for debugging)
import signal
signal.signal(signal.SIGINT, signal.SIG_DFL)

if __name__ == '__main__':
    app = QtWidgets.QApplication(sys.argv)

    window = mainwindow.MainWindow(port=sys.argv[1])
    window.show()
    try:
        app.exec()
    except KeyboardInterrupt:
        window.stopApiWorker()
