//
// Created by R on 5/26/24.
//

#ifndef PIFW_HAL_H
#define PIFW_HAL_H
#include "audio/PWMAudio.h"
#include "BatteryMonitor.h"
#include "TemperatureMonitor.h"
#include "Vibro.h"
#include "hal/ADC.h"
#include "PersistentParameters.h"

class HAL {
public:
    HAL(HAL const&) = delete;
    HAL& operator=(HAL const&) = delete;

    HAL() {

    }

    PWMAudio audio;
    BatteryMonitor bm;
    TemperatureMonitor tm;
    Vibro vibro;
    PersistentParameters params;
    ADC adc;

};


#endif //PIFW_HAL_H
