//
// Created by R on 3/12/23.
//

#ifndef PIFW_HBRIDGE_H
#define PIFW_HBRIDGE_H

#include <cstdint>

class HBridge {
public:
    HBridge();

    void initialize();


    void transmit_loop(uint32_t pulse_width_us);

protected:
    static const uint32_t PIN_GATE_A=20;
    static const uint32_t PIN_GATE_B=21;
    static const uint32_t PIN_VSW_ADJ=22;
};


#endif //PIFW_HBRIDGE_H
