//
// Created by ronnylv on 24.27.2.
//

#ifndef PIFW_MATH_H
#define PIFW_MATH_H

template<typename T> static T map(T x, T in_min, T in_max, T out_min, T out_max) {
    return (x - in_min) * (out_max - out_min) / (in_max - in_min) + out_min;
}


#endif //PIFW_MATH_H
